Skip to main content

Get transaction history

GET 

/institutional/subaccounts/history

Returns a list of past transactions for the specified subaccount or the specified date range. If the subaccount is not specified, returns transactions for all subaccounts under the main account.

info

This is a private endpoint. To send requests, you need to authenticate.

warning

To use this private endpoint, you must use the API key of your main account with the Include all subaccounts.

Rate limit weight points: 5

Request

Query Parameters

    subaccountId uuid

    The unique identifier for the subaccount.

    fromDate integer

    The Unix timestamp in milliseconds starting from which to return transactions.

    toDate integer

    The Unix timestamp in milliseconds up to which to return transactions.

    page integer

    The page number for the transaction history.

    maxItems integer

    The maximum number of items per page in the transaction history.

    type string

    Possible values: [sell, buy, staking, fixed_staking, deposit, withdrawal]

    The type of transaction to return.

Responses

The request was successful.

Response Headers
    bitvavo-ratelimit-remaining

    The number of remaining weight points before it resets at bitvavo-ratelimit-resetat.

    bitvavo-ratelimit-resetat

    The time when bitvavo-ratelimit-remaining resets to bitvavo-ratelimit-limit.

    bitvavo-ratelimit-limit

    The number of available weight points in one minute.

Schema
    items object[]

    Array of objects per returned transactionId.

  • Array [
  • transactionIdstring

    The unique identifier of the transaction.

    executedAtstring<date-time>

    The Unix timestamp when the transaction was executed.

    typestring

    The type of transaction.

    Possible values: [sell, buy, staking, fixed_staking, deposit, withdrawal, affiliate, distribution, internal_transfer, withdrawal_cancelled, rebate, loan, external_transferred_funds, manually_assigned, manually_assigned_bitvavo]

    priceCurrencystring

    The currency in which the transaction was made.

    priceAmountstring

    The amount of the transaction.

    sentCurrencystring

    The currency that was sent in the transaction.

    sentAmountstring

    The amount that was sent in the transaction.

    receivedCurrencystring

    The currency that was received in the transaction.

    receivedAmountstring

    The amount that was received in the transaction.

    feesCurrencystring

    The currency in which the fees were paid.

    feesAmountstring

    The amount of fees paid in the transaction.

    addressstringnullable

    The address where the transaction was made.

  • ]
  • currentPageinteger

    The current page number.

    totalPagesinteger

    The total number of returned pages.

    maxItemsinteger

    The maximum number of transactions per page.